Agda-2.3.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None

Agda.Interaction.Highlighting.Dot

# Documentation

data DotState

Constructors

DotState |

Fields

dsModules :: Map ModuleName String
dsNameSupply :: [String]
dsConnection :: Set (String, String)

initialDotState :: DotState

type DotM = StateT DotState TCM

addModule :: ModuleName -> DotM (String, Bool)

addConnection :: String -> String -> DotM ()

dottify :: Interface -> DotM String

generateDot :: Interface -> TCM ()